# Objective

[X] Mobs spawn in waves
[X] Mobs move towards goal
[X] Mobs carry bomb to goal
[X] Mobs arm bomb
[X] Bomb explodes

# Malloc Beta

[X] One arena config
[X] Config reload
[X] Leave games
[X] Join games
[X] Drop back to lobby on game over
[X] Grist drops
[X] Chat colors + clickables
[X] Title colors
[X] Command tab completion
[X] Mob AI categories
[X] Never hungry
[X] Mobs don't drop bomb items

# QOL

[ ] Players can't pick up bomb items
[ ] "Get ready" nag
[ ] "Click here to leave" at end of game
[ ] Hidden armor stands
[ ] Small/nonexistent prop collision boxes

# Malloc beta map

[ ] Lobby with instructions
[X] Item shoppes
[ ] Indestructible weapons/armor

# Scaled waves

[X] Limit ranged mobs and Ravagers to non-bomb-carrier state
[X] Weaker mobs, more of them
[X] Mob AI categories

# UX

[X] Wave boss bar
[X] Mob count boss bar
[X] Stage titles
[X] EXPLOSIONS
[X] Bomb model
[X] "Player $X is ready" message in chat
[X] Clickable /ready in chat
[ ] Post-Round summary in chat
[X] Clickable join links in /list
[ ] Sidebar
[ ] Coin pickup messages in action bar
[ ] Target catches on fire more it is lit
[ ] Colored titles
[ ] Clickable /leave action
[ ] Countdown while in warmup
[ ] Countdown shrinks w/ every /ready player
[ ] List of mobs in next wave
[ ] Pretty bomb model

# Social

[ ] Automatic VC groups for games
[ ] DiscordSRV
[ ] Plan stats
[ ] /invite friends to games
[ ] /voterestart
[ ] Medals/awards/scoreboards

# Mechanics

[X] Mob tracking should prioritize bomb
[X] Mobs recover dropped bombs
[X] Bomb carriers are slower
[X] Coin drops
[X] Mob categories
[X] Mobs split between bomb and player priorities
[ ] Bonus coins for complete coin pickup
[ ] Infinite weapons + armor
[ ] Ammo/health spawns

# Scripted waves

[X] Spawn in batches
[X] Randomized spawn locations
[X] Weighted distributions
[X] Batch overlap
[X] Spawnpoint categories
[ ] Scripted batch overlap/timings
[ ] Scripted spawn locations
[ ] Scripted waypoint paths
[ ] Bosses

# Mapping

[X] Load arenas from config file
[ ] Live map editing

# Game lifecycle

[X] /list arenas and games
[X] /join games
[X] /ready
[X] /leave games
[X] Spectator mode on death
[X] Player readiness starts countdown
[X] Game is automatically closed some time after game over
[X] Return to lobby on leave/close
[X] Restore health+hunger on respawn/game start
[ ] /restart games
[ ] Instancing
[ ] Respawn during games
[ ] Player revival items
[X] Clear inventory on join/leave

# Powerups

[ ] Enchantments
[ ] Better items
[ ] Coin pickup range
[ ] Coin boost
[ ] Knockback on weapons
[ ] Damage boost
[ ] Speed boost
[ ] Health boost

# Fantasy

[ ] Totems/turrets/stationary weapons
[ ] Repair barriers
