package gg.malloc.defense.ui;

import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.Material;

import de.tr7zw.nbtapi.NBTItem;
import de.tr7zw.nbtapi.NBTCompound;

public class Items {
  public static ItemStack makeCoins() {
      ItemStack coinItem = new ItemStack(Material.IRON_NUGGET);
      ItemMeta meta = coinItem.getItemMeta();
      meta.setCustomModelData(93197);
      coinItem.setItemMeta(meta);

      NBTItem nbt = new NBTItem(coinItem);
      nbt.addCompound("malloc").setInteger("coinValue", 1);

      return nbt.getItem();
  }

  public static ItemStack makeBombHelmet() {
      ItemStack bombItem = new ItemStack(Material.CARVED_PUMPKIN);
      ItemMeta meta = bombItem.getItemMeta();
      meta.setCustomModelData(33197);
      bombItem.setItemMeta(meta);
      return bombItem;
  }

  public static ItemStack makeBombTarget() {
      ItemStack bombItem = new ItemStack(Material.CARVED_PUMPKIN);
      ItemMeta meta = bombItem.getItemMeta();
      meta.setCustomModelData(35197);
      bombItem.setItemMeta(meta);
      return bombItem;
  }
}
